Subject: [bug#53878] [RFC PATCH 8/9] gnu: Add chez-scheme-racket-variant.

From: Liliana Marie Prikler <[email-masked]>
Date: Wed, 09 Feb 2022 14:42:11 +0100

Am Dienstag, dem 08.02.2022 um 10:18 -0500 schrieb Philip McGrath:
> The Racket variant of Chez Scheme can be used to support platforms
> that
> are not yet supported by upstream Chez Scheme. The new function
> 'chez-scheme-for-system' selects the Chez Scheme package that best
> supports the target system.
> 
> In the process, we also add packages for 'racket-vm-cgc',
> 'racket-vm-bc', and 'racket-vm-cs'. A future commit will change
> 'racket-minimal' to use the Racket VM implementation that best
> supports
> the target system, as reported by 'racket-vm-for-system'.
> 
> * gnu/packages/patches/racket-enable-scheme-backport.patch: New
> patch.
> * gnu/local.mk (dist_patch_DATA): Add it.
> * gnu/packages/chez-and-racket-bootstrap.scm (racket-vm-cgc):
> (racket-vm-bc):
> (racket-vm-cs):
> (chez-scheme-racket-variant-bootstrap-bootfiles):
> (chez-scheme-racket-variant): New variables.
> (chez-scheme-for-system, racket-vm-for-system): New exported
> functions.
> * gnu/packages/loko.scm (loko-scheme): Use 'chez-scheme-for-system'.
> * gnu/packages/emacs-xyz.scm (emacs-geiser-chez): Likewise
> * gnu/packages/chez.scm (chez-srfi):
> (chez-web):
> (chez-sockets):
> (chez-matchable):
> (chez-irregex):
> (chez-fmt):
> (chez-mit):
> (chez-scmutils): Likewise.
> (chez-mit)[origin]<snippet>: Add workaround for Racket variant.
This patch does a lot and should probably be separated into several
commits.  As far as the name "chez-scheme-racket-variant" is concerned,
I am not really a fan of it.  How would "chez-scheme-for-racket" sound?